Package org.apache.felix.hc.generalchecks

## Class ServicesCheck.Tracker

- java.lang.Object
- - org.apache.felix.hc.generalchecks.ServicesCheck.Tracker

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  ServicesCheck

    public class ServicesCheck.Tracker
    extends Object
    implements Closeable

### Constructor Summary

Constructors
`Tracker​(org.osgi.framework.BundleContext context, String nameOrFilter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `present()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Tracker

    public Tracker​(org.osgi.framework.BundleContext context,
                   String nameOrFilter)

### Method Detail

#### present

    public boolean present()

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`